package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;
import com.pesets.resources.ResourceManager;

public class SkillMagicArrow extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		float damage = player.getIntelligence() * 0.3f * getLevel();
		target.skillHit(player, (int) damage, EffectSlow, 0.7f * getLevel());
		ResourceManager.getInstance().playSound("twinkle.mp3");
	}

	@Override
	public String getName() {
		return "Magic Arrow";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Cast;
	}

	@Override
	public int getIcon() {
		return 12;
	}

	@Override
	public float getMaxColdown() {
		return 5f;
	}
	
	@Override
	public String getDescription() {
		return "Deals (intelligence * 0.3 * level) damage and slows target's attack speed by 25% for (0.7 * level) seconds\nColdown: 5 sec";
	}

}
